AI profiles - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with a list of profiles used to trigger AI events on the portal.

Method Endpoint
GET
/analytics/api/v1/ai/inventory/profiles

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Response body

The following lines show an example of a JSON response body:

{
  "results": [
    {
      "id": "57fafeb6-f465-48f8-b1c6-8b072f8b81d0",
      "name": "ChatWithMe",
      "type": "chatbot",
      "chatbotDetails": {
        "provider": "openai",
        "model": "gpt-4.1"
      }
    },
    {
      "id": "7379720e-ff5e-4446-9961-91787a3ae81e",
      "name": "SummarizeMe",
      "type": "completion",
      "completionDetails": {
        "provider": "openai",
        "model": "gpt-4.1"
      }
    },
    {
      "id": "777bb577-b9fb-4a64-92c9-103902ac71c5",
      "name": "TranslateMe",
      "type": "translation",
      "translationDetails": {
        "engine": "ai.text.translate.deepl.api",
        "provider": "intento"
      }
    }
  ]
}
Field Type Description
results Array The list of profiles.
id String The profile's ID.
name String The profile's name.
type String The type of AI profile. Possible values are CHATBOT, COMPLETION, and TRANSLATION.
chatbotDetails / completionDetails / translationDetails String An object containing details based on the AI profile type.
provider String The povider's name.
model / engine String The LLM model name for a chatbot or completion profile. The translation engine's name for a translation profile.
Return code Description
200 OK Returns results.
  • The use of AI is a premium feature and requires a subscription. Get in touch with a Fluid Topics representative for more information.
  • This web service is accessible for users with the ADMIN or ANALYTICS_USER role.
  • The Fluid Topics Analytics track a profile's activity over the entire data retention period.
  • This web service does not update results in real time and differs from the List AI profiles web service. If no event happened during the analytics data retention period for a given profile, the web service does not list said profile. Profile updates are applied after the reception of their related events.